Agora C++ API Reference for All Platforms

Public Types | Public Member Functions | Public Attributes | List of all members
agora::rtc::VideoDenoiserOptions Struct Reference

## Public Types
enum | VIDEO_DENOISER_MODE { VIDEO_DENOISER_AUTO = 0, VIDEO_DENOISER_MANUAL = 1 }
enum | VIDEO_DENOISER_LEVEL { VIDEO_DENOISER_LEVEL_HIGH_QUALITY = 0, VIDEO_DENOISER_LEVEL_FAST = 1 }

## Public Member Functions
| VideoDenoiserOptions (VIDEO_DENOISER_MODE denoiserMode, VIDEO_DENOISER_LEVEL denoiserLevel)
| VideoDenoiserOptions ()

## Public Attributes
VIDEO_DENOISER_MODE | mode
VIDEO_DENOISER_LEVEL | level

## Detailed Description

The video noise reduction options.

Since
  v4.0.0

## Member Enumeration Documentation

## ◆ VIDEO_DENOISER_MODE

enum agora::rtc::VideoDenoiserOptions::VIDEO_DENOISER_MODE

The video noise reduction mode.

Enumerator
VIDEO_DENOISER_AUTO | 0: (Default) Automatic mode. The SDK automatically enables or disables the video noise reduction feature according to the ambient light.
VIDEO_DENOISER_MANUAL | Manual mode. Users need to enable or disable the video noise reduction feature manually.

## ◆ VIDEO_DENOISER_LEVEL

enum agora::rtc::VideoDenoiserOptions::VIDEO_DENOISER_LEVEL

The video noise reduction level.

Enumerator
VIDEO_DENOISER_LEVEL_HIGH_QUALITY | 0: (Default) Promotes video quality during video noise reduction. `HIGH_QUALITY` balances performance consumption and video noise reduction quality. The performance consumption is moderate, the video noise reduction speed is moderate, and the overall video quality is optimal.
VIDEO_DENOISER_LEVEL_FAST | Promotes reducing performance consumption during video noise reduction. `FAST` prioritizes reducing performance consumption over video noise reduction quality. The performance consumption is lower, and the video noise reduction speed is faster. To avoid a noticeable shadowing effect (shadows trailing behind moving objects) in the processed video, Agora recommends that you use `FAST` when the camera is fixed.

## Constructor & Destructor Documentation

## ◆ VideoDenoiserOptions() [1/2]

agora::rtc::VideoDenoiserOptions::VideoDenoiserOptions | ( | VIDEO_DENOISER_MODE | denoiserMode,
|  | VIDEO_DENOISER_LEVEL | denoiserLevel
| ) |  |
| inline

## ◆ VideoDenoiserOptions() [2/2]

agora::rtc::VideoDenoiserOptions::VideoDenoiserOptions | ( |  | ) |
| inline

## Member Data Documentation

## ◆ mode

VIDEO_DENOISER_MODE agora::rtc::VideoDenoiserOptions::mode

The video noise reduction mode. See VIDEO_DENOISER_MODE.

## ◆ level

VIDEO_DENOISER_LEVEL agora::rtc::VideoDenoiserOptions::level

The video noise reduction level. See VIDEO_DENOISER_LEVEL.